NetBSD Problem Report #47854

From donlee@charm.icompute.com  Sun May 26 04:01:21 2013
Return-Path: <donlee@charm.icompute.com>
Received: from mail.netbsd.org (mail.netbsd.org [149.20.53.66])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 51AFB718BE
	for <gnats-bugs@gnats.NetBSD.org>; Sun, 26 May 2013 04:01:21 +0000 (UTC)
Message-Id: <20130526040115.9BAF91B6B7@charm.icompute.com>
Date: Sat, 25 May 2013 23:01:14 -0500 (CDT)
From: donlee@charm.icompute.com
Reply-To: donlee@charm.icompute.com
To: gnats-bugs@gnats.NetBSD.org
Subject: netatalk 3.0.4 from sourceforge does not build on NetBSD 6.0.x
X-Send-Pr-Version: 3.95

>Number:         47854
>Category:       pkg
>Synopsis:       netatalk 3.0.4 from sourceforge does not build on NetBSD 6.0.x
>Confidential:   no
>Severity:       non-critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun May 26 04:05:00 +0000 2013
>Last-Modified:  Thu Jul 04 04:10:00 +0000 2013
>Originator:     Donald Lee
>Release:        NetBSD 6.0.1
>Organization:
iCompute.com
>Environment:
NetBSD 6.0.1.  Power Mac G4, 800 MB memory.
System: NetBSD charm 6.0.1 NetBSD 6.0.1 (GENERIC) macppc
Architecture: powerpc
Machine: macppc
>Description:
	Netatalk 3.0.4 will not build as per instructions.  I used

	This failed with compile errors, and also install errors.

>How-To-Repeat:
	(download netatalk 3.0.4 - netatalk-3.0.4.tar.gz)
	tar -xvzf netatalk-3.0.4.tar.gz
	cd netatalk-3.0.4
	./configure --with-bdb=/usr/pkg --with-init-style=netbsd
	make
	make install

>Fix:
	This set of patches causes netatalk 3.0.4 to build and install.
	I have tested it somewhat, and it appears robust.

--- ./bin/afppasswd/afppasswd.c.orig	2013-01-04 08:38:53.000000000 -0600
+++ ./bin/afppasswd/afppasswd.c	2013-05-25 18:43:03.000000000 -0500
@@ -37,6 +37,11 @@

 #include <des.h>

+#define Key_schedule DES_key_schedule
+#define key_sched(kkkk, ssss) DES_key_sched((kkkk), &(ssss))
+#define ecb_encrypt(nnnn1, nnnn2, ssss, ffff) DES_ecb_encrypt((nnnn1), (nnnn2), &(ssss), (ffff))
+#define C_Block DES_cblock
+
 #ifdef USE_CRACKLIB
 #include <crack.h>
 #endif /* USE_CRACKLIB */

--- ./distrib/initscripts/Makefile.in.orig	2013-05-24 08:32:58.000000000 -0500
+++ ./distrib/initscripts/Makefile.in	2013-05-24 22:47:01.000000000 -0500
@@ -712,7 +712,7 @@
 @USE_SUSE_SYSV_TRUE@	rm -f $(DESTDIR)$(sysvdir)/$(sysv_SCRIPTS)

 @USE_NETBSD_TRUE@netatalk: rc.netbsd
-@USE_NETBSD_TRUE@	cp -f $< $@
+@USE_NETBSD_TRUE@	cp -f rc.netbsd $@
 @USE_NETBSD_TRUE@	chmod a+x $@

 @USE_NETBSD_TRUE@install-data-hook:

--- ./distrib/initscripts/rc.netbsd.tmpl.orig	2013-01-04 08:37:06.000000000 -0600
+++ ./distrib/initscripts/rc.netbsd.tmpl	2013-05-25 00:18:16.000000000 -0500
@@ -13,7 +13,7 @@
 command=":SBINDIR:/netatalk"
 etcdir=":ETCDIR:"
 pidfile="/var/run/${name}.pid"
-required_files="$etcdir/afp.conf
+required_files="$etcdir/afp.conf"

 load_rc_config $name
 run_rc_command "$1"

--- ./etc/uams/uams_randnum.c.orig	2013-03-07 01:03:19.000000000 -0600
+++ ./etc/uams/uams_randnum.c	2013-05-25 18:47:44.000000000 -0500
@@ -27,6 +27,11 @@

 #include <des.h>

+#define Key_schedule DES_key_schedule
+#define key_sched(kkkk, ssss) DES_key_sched((kkkk), &(ssss))
+#define ecb_encrypt(nnnn1, nnnn2, ssss, ffff) DES_ecb_encrypt((nnnn1), (nnnn2), &(ssss), (ffff))
+#define C_Block DES_cblock
+
 #ifdef USE_CRACKLIB
 #include <crack.h>
 #endif /* USE_CRACKLIB */

>Audit-Trail:
From: Thomas Klausner <wiz@NetBSD.org>
To: NetBSD bugtracking <gnats-bugs@NetBSD.org>
Cc: 
Subject: Re: pkg/47854: netatalk 3.0.4 from sourceforge does not build on
 NetBSD 6.0.x
Date: Sun, 26 May 2013 11:35:39 +0200

 On Sun, May 26, 2013 at 04:05:00AM +0000, donlee@charm.icompute.com wrote:
 > >Synopsis:       netatalk 3.0.4 from sourceforge does not build on NetBSD 6.0.x

 Why not use the pkgsrc/net/netatalk package? "pkg_add netatalk" is the
 easiest way to install it, if you have already set up PKGPATH
 correctly.

 The patches look like something that upstream could use, i.e. should
 be reported in netatalk's bugtracker on sourceforge instead.
  Thomas

From: Hauke Fath <hauke@Espresso.Rhein-Neckar.DE>
To: pkg-bug-handler@NetBSD.org
Cc: pkg-manager@NetBSD.org, gnats-admin@NetBSD.org, pkgsrc-bugs@NetBSD.org,
        donlee@charm.icompute.com
Subject: Re: pkg/47854: netatalk 3.0.4 from sourceforge does not build on 
 NetBSD 6.0.x
Date: Sun, 26 May 2013 22:52:28 +0200

 At 9:40 Uhr +0000 26.5.2013, Thomas Klausner wrote:
 > On Sun, May 26, 2013 at 04:05:00AM +0000, donlee@charm.icompute.com wrote:
 > > >Synopsis:       netatalk 3.0.4 from sourceforge does not build on
 > > >NetBSD 6.0.x

 This is not strictly a pkgsrc bug. In fact, a 3rd party program not
 building on NetBSD is arguably not a NetBSD bug, either.

 > Why not use the pkgsrc/net/netatalk package? "pkg_add netatalk" is the
 > easiest way to install it, if you have already set up PKGPATH
 > correctly.

 The pkgsrc netatalk is v2.2.4, the submitter wants to run v3.

 > The patches look like something that upstream could use, i.e. should
 > be reported in netatalk's bugtracker on sourceforge instead.

 Exactly.

 hauke


 --
 "It's never straight up and down"     (DEVO)


From: David Holland <dholland-pbugs@netbsd.org>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/47854: netatalk 3.0.4 from sourceforge does not build on
 NetBSD 6.0.x
Date: Sat, 1 Jun 2013 23:18:53 +0000

 On Sun, May 26, 2013 at 09:20:01PM +0000, Hauke Fath wrote:
  >  > Why not use the pkgsrc/net/netatalk package? "pkg_add netatalk" is the
  >  > easiest way to install it, if you have already set up PKGPATH
  >  > correctly.
  >  
  >  The pkgsrc netatalk is v2.2.4, the submitter wants to run v3.

 Should we add a netatalk3 package using these patches? Or should
 net/netatalk be updated to v3? (I vaguely recall there's some reason
 not to do the latter...)

 -- 
 David A. Holland
 dholland@netbsd.org

From: David Holland <dholland-pbugs@netbsd.org>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/47854: netatalk 3.0.4 from sourceforge does not build on
 NetBSD 6.0.x
Date: Thu, 4 Jul 2013 04:09:38 +0000

 not sent to gnats (send all PR traffic to gnats-bugs)

    ------

 From: Hauke Fath <hauke@Espresso.Rhein-Neckar.DE>
 To: pkg-bug-handler@NetBSD.org
 Cc: pkg-manager@NetBSD.org, gnats-admin@NetBSD.org, pkgsrc-bugs@NetBSD.org,
 	donlee@charm.icompute.com, David Holland <dholland-pbugs@NetBSD.org>
 Subject: Re: pkg/47854: netatalk 3.0.4 from sourceforge does not build on
 	NetBSD 6.0.x
 Date: Wed, 5 Jun 2013 14:33:45 +0200

 At 23:20 Uhr +0000 1.6.2013, David Holland wrote:
 >  >  The pkgsrc netatalk is v2.2.4, the submitter wants to run v3.
 >
 > Should we add a netatalk3 package using these patches? Or should
 > net/netatalk be updated to v3? (I vaguely recall there's some reason
 > not to do the latter...)

 Netatalk 3 has dumped AppleTalk ddp support.

 My suggestion would be to rename netatalk to "netatalk2" (and keep it, as
 long as NetBSD ships with AppleTalk ddp support), and import a Netatalk 3.x
 package as "netatalk".

 hauke


 --
 "It's never straight up and down"     (DEVO)

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.